Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Classes | Macros | Typedefs | Functions
halide_hexagon_remote.h File Reference
`#include <AEEStdDef.h>`
`#include <remote.h>`

Go to the source code of this file.

## Classes
struct | _halide_hexagon_remote_buffer__seq_octet

## Macros
#define | __QAIC_HEADER(ff) ff
#define | __QAIC_HEADER_EXPORT
#define | __QAIC_HEADER_ATTRIBUTE
#define | __QAIC_IMPL(ff) ff
#define | __QAIC_IMPL_EXPORT
#define | __QAIC_IMPL_ATTRIBUTE

## Typedefs
typedef struct _halide_hexagon_remote_buffer__seq_octet | _halide_hexagon_remote_buffer__seq_octet
typedef _halide_hexagon_remote_buffer__seq_octet | halide_hexagon_remote_buffer
typedef unsigned int | halide_hexagon_remote_handle_t
typedef uint64 | halide_hexagon_remote_scalar_t

## Functions
__QAIC_HEADER_EXPORT int __QAIC_HEADER() | halide_hexagon_remote_load_library (const char *soname, int sonameLen, const unsigned char *code, int codeLen, halide_hexagon_remote_handle_t *module_ptr) __QAIC_HEADER_ATTRIBUTE
__QAIC_HEADER_EXPORT int __QAIC_HEADER() | halide_hexagon_remote_get_symbol_v4 (halide_hexagon_remote_handle_t module_ptr, const char *name, int nameLen, halide_hexagon_remote_handle_t *sym_ptr) __QAIC_HEADER_ATTRIBUTE
__QAIC_HEADER_EXPORT int __QAIC_HEADER() | halide_hexagon_remote_power_hvx_on (void) __QAIC_HEADER_ATTRIBUTE
__QAIC_HEADER_EXPORT int __QAIC_HEADER() | halide_hexagon_remote_power_hvx_off (void) __QAIC_HEADER_ATTRIBUTE
__QAIC_HEADER_EXPORT int __QAIC_HEADER() | halide_hexagon_remote_run_v2 (halide_hexagon_remote_handle_t module_ptr, halide_hexagon_remote_handle_t symbol, const halide_hexagon_remote_buffer *input_buffers, int input_buffersLen, halide_hexagon_remote_buffer *output_buffers, int output_buffersLen, const halide_hexagon_remote_scalar_t *scalars, int scalarsLen) __QAIC_HEADER_ATTRIBUTE
__QAIC_HEADER_EXPORT int __QAIC_HEADER() | halide_hexagon_remote_release_library (halide_hexagon_remote_handle_t module_ptr) __QAIC_HEADER_ATTRIBUTE
__QAIC_HEADER_EXPORT int __QAIC_HEADER() | halide_hexagon_remote_poll_log (char *log, int logLen, int *read_size) __QAIC_HEADER_ATTRIBUTE
__QAIC_HEADER_EXPORT int __QAIC_HEADER() | halide_hexagon_remote_poll_profiler_state (int *func, int *threads) __QAIC_HEADER_ATTRIBUTE
__QAIC_HEADER_EXPORT int __QAIC_HEADER() | halide_hexagon_remote_profiler_set_current_func (int current_func) __QAIC_HEADER_ATTRIBUTE
__QAIC_HEADER_EXPORT int __QAIC_HEADER() | halide_hexagon_remote_set_performance_mode (int mode) __QAIC_HEADER_ATTRIBUTE
__QAIC_HEADER_EXPORT int __QAIC_HEADER() | halide_hexagon_remote_set_performance (int set_mips, unsigned int mipsPerThread, unsigned int mipsTotal, int set_bus_bw, unsigned int bwMegabytesPerSec, unsigned int busbwUsagePercentage, int set_latency, int latency) __QAIC_HEADER_ATTRIBUTE
__QAIC_HEADER_EXPORT int __QAIC_HEADER() | halide_hexagon_remote_set_thread_priority (int priority) __QAIC_HEADER_ATTRIBUTE

## Macro Definition Documentation

## ◆ __QAIC_HEADER

#define __QAIC_HEADER | ( |  | ff | ) | ff

Definition at line 7 of file halide_hexagon_remote.h.

## ◆ __QAIC_HEADER_EXPORT

#define __QAIC_HEADER_EXPORT

Definition at line 11 of file halide_hexagon_remote.h.

## ◆ __QAIC_HEADER_ATTRIBUTE

#define __QAIC_HEADER_ATTRIBUTE

Definition at line 15 of file halide_hexagon_remote.h.

## ◆ __QAIC_IMPL

#define __QAIC_IMPL | ( |  | ff | ) | ff

Definition at line 19 of file halide_hexagon_remote.h.

## ◆ __QAIC_IMPL_EXPORT

#define __QAIC_IMPL_EXPORT

Definition at line 23 of file halide_hexagon_remote.h.

## ◆ __QAIC_IMPL_ATTRIBUTE

#define __QAIC_IMPL_ATTRIBUTE

Definition at line 27 of file halide_hexagon_remote.h.

## Typedef Documentation

## ◆ _halide_hexagon_remote_buffer__seq_octet

typedef struct _halide_hexagon_remote_buffer__seq_octet _halide_hexagon_remote_buffer__seq_octet

Definition at line 32 of file halide_hexagon_remote.h.

## ◆ halide_hexagon_remote_buffer

typedef _halide_hexagon_remote_buffer__seq_octet halide_hexagon_remote_buffer

Definition at line 33 of file halide_hexagon_remote.h.

## ◆ halide_hexagon_remote_handle_t

typedef unsigned int halide_hexagon_remote_handle_t

Definition at line 38 of file halide_hexagon_remote.h.

## ◆ halide_hexagon_remote_scalar_t

typedef uint64 halide_hexagon_remote_scalar_t

Definition at line 39 of file halide_hexagon_remote.h.

## Function Documentation

## ◆ halide_hexagon_remote_load_library()

__QAIC_HEADER_EXPORT int __QAIC_HEADER() halide_hexagon_remote_load_library | ( | const char * | soname,
|  | int | sonameLen,
|  | const unsigned char * | code,
|  | int | codeLen,
|  | halide_hexagon_remote_handle_t * | module_ptr
| ) |  |

## ◆ halide_hexagon_remote_get_symbol_v4()

__QAIC_HEADER_EXPORT int __QAIC_HEADER() halide_hexagon_remote_get_symbol_v4 | ( | halide_hexagon_remote_handle_t | module_ptr,
|  | const char * | name,
|  | int | nameLen,
|  | halide_hexagon_remote_handle_t * | sym_ptr
| ) |  |

## ◆ halide_hexagon_remote_power_hvx_on()

__QAIC_HEADER_EXPORT int __QAIC_HEADER() halide_hexagon_remote_power_hvx_on | ( | void |  | ) |

## ◆ halide_hexagon_remote_power_hvx_off()

__QAIC_HEADER_EXPORT int __QAIC_HEADER() halide_hexagon_remote_power_hvx_off | ( | void |  | ) |

## ◆ halide_hexagon_remote_run_v2()

__QAIC_HEADER_EXPORT int __QAIC_HEADER() halide_hexagon_remote_run_v2 | ( | halide_hexagon_remote_handle_t | module_ptr,
|  | halide_hexagon_remote_handle_t | symbol,
|  | const halide_hexagon_remote_buffer * | input_buffers,
|  | int | input_buffersLen,
|  | halide_hexagon_remote_buffer * | output_buffers,
|  | int | output_buffersLen,
|  | const halide_hexagon_remote_scalar_t * | scalars,
|  | int | scalarsLen
| ) |  |

## ◆ halide_hexagon_remote_release_library()

__QAIC_HEADER_EXPORT int __QAIC_HEADER() halide_hexagon_remote_release_library | ( | halide_hexagon_remote_handle_t | module_ptr | ) |

## ◆ halide_hexagon_remote_poll_log()

__QAIC_HEADER_EXPORT int __QAIC_HEADER() halide_hexagon_remote_poll_log | ( | char * | log,
|  | int | logLen,
|  | int * | read_size
| ) |  |

## ◆ halide_hexagon_remote_poll_profiler_state()

__QAIC_HEADER_EXPORT int __QAIC_HEADER() halide_hexagon_remote_poll_profiler_state | ( | int * | func,
|  | int * | threads
| ) |  |

## ◆ halide_hexagon_remote_profiler_set_current_func()

__QAIC_HEADER_EXPORT int __QAIC_HEADER() halide_hexagon_remote_profiler_set_current_func | ( | int | current_func | ) |

## ◆ halide_hexagon_remote_set_performance_mode()

__QAIC_HEADER_EXPORT int __QAIC_HEADER() halide_hexagon_remote_set_performance_mode | ( | int | mode | ) |

## ◆ halide_hexagon_remote_set_performance()

__QAIC_HEADER_EXPORT int __QAIC_HEADER() halide_hexagon_remote_set_performance | ( | int | set_mips,
|  | unsigned int | mipsPerThread,
|  | unsigned int | mipsTotal,
|  | int | set_bus_bw,
|  | unsigned int | bwMegabytesPerSec,
|  | unsigned int | busbwUsagePercentage,
|  | int | set_latency,
|  | int | latency
| ) |  |

## ◆ halide_hexagon_remote_set_thread_priority()

__QAIC_HEADER_EXPORT int __QAIC_HEADER() halide_hexagon_remote_set_thread_priority | ( | int | priority | ) |